DataCubeControllerRestoreUndoFrame Method

POST /DataCube/RestoreUndoFrame/{id} Restores the data cube to the given undo frame ID.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("RestoreUndoFrame")]
public IActionResult RestoreUndoFrame(
	Guid id,
	[FromBodyAttribute] long frameId,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the data cube to restore the undo frame to.
frameId
Type: SystemInt64
The ID of the undo frame to restore to.
sessionId (Optional)
Type: SystemNullableGuid
The current session ID.

Return Value

Type: IActionResult
A DataCubeData object containing the updated data cube data, or a status code indicating the problem.
See Also